require 'test_helper'

class TimerecordsControllerTest < ActionController::TestCase
  setup do
    @timerecord = timerecords(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:timerecords)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create timerecord" do
    assert_difference('Timerecord.count') do
      post :create, :timerecord => @timerecord.attributes
    end

    assert_redirected_to timerecord_path(assigns(:timerecord))
  end

  test "should show timerecord" do
    get :show, :id => @timerecord.to_param
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => @timerecord.to_param
    assert_response :success
  end

  test "should update timerecord" do
    put :update, :id => @timerecord.to_param, :timerecord => @timerecord.attributes
    assert_redirected_to timerecord_path(assigns(:timerecord))
  end

  test "should destroy timerecord" do
    assert_difference('Timerecord.count', -1) do
      delete :destroy, :id => @timerecord.to_param
    end

    assert_redirected_to timerecords_path
  end
end
